| CAEN FERS Library v1.1.4 SDK for FERS systems

Data Fields
ListEvent_t Struct Reference
FERS Library Structures » Data

List Event data structure for timing mode. More...

`#include <FERSlib.h>`

Collaboration diagram for ListEvent_t:

## Data Fields
double | tstamp_us
| Timestamp in microseconds. More...
uint64_t | Tref_tstamp
| Timestamp of reference time signal (5202 only) More...
uint64_t | tstamp_clk
| Timestamp in LSB (5203 only) More...
uint64_t | trigger_id
| Trigger ID. More...
uint16_t | nhits
| Number of hits. More...
uint32_t | header1 [8]
| PicoTDC header 1. More...
uint32_t | header2 [8]
| PicoTDC header 2. More...
uint32_t | ow_trailer
| PicoTDC one-word trailer. More...
uint32_t | trailer [8]
| PicoTDC trailer. More...
uint8_t | channel [2048]
| List of channels. More...
uint8_t | edge [2048]
| List of associated edges. More...
uint32_t | tstamp [2048]
| List of ToA in LSB (5202 only) More...
uint32_t | ToA [2048]
| List of ToA in LSB (other board) More...
uint16_t | ToT [2048]
| List of ToT in LSB. More...

## Detailed Description

List Event data structure for timing mode.

Definition at line 611 of file FERSlib.h.

## Field Documentation

## ◆ tstamp_us

double tstamp_us

Timestamp in microseconds.

Definition at line 612 of file FERSlib.h.

## ◆ Tref_tstamp

uint64_t Tref_tstamp

Timestamp of reference time signal (5202 only)

Definition at line 613 of file FERSlib.h.

## ◆ tstamp_clk

uint64_t tstamp_clk

Timestamp in LSB (5203 only)

Definition at line 614 of file FERSlib.h.

## ◆ trigger_id

uint64_t trigger_id

Trigger ID.

Definition at line 615 of file FERSlib.h.

## ◆ nhits

uint16_t nhits

Number of hits.

Definition at line 616 of file FERSlib.h.

## ◆ header1

uint32_t header1[8]

PicoTDC header 1.

Definition at line 617 of file FERSlib.h.

## ◆ header2

uint32_t header2[8]

PicoTDC header 2.

Definition at line 618 of file FERSlib.h.

## ◆ ow_trailer

uint32_t ow_trailer

PicoTDC one-word trailer.

Definition at line 619 of file FERSlib.h.

## ◆ trailer

uint32_t trailer[8]

PicoTDC trailer.

Definition at line 620 of file FERSlib.h.

## ◆ channel

uint8_t channel[2048]

List of channels.

Definition at line 621 of file FERSlib.h.

## ◆ edge

uint8_t edge[2048]

List of associated edges.

Definition at line 622 of file FERSlib.h.

## ◆ tstamp

uint32_t tstamp[2048]

List of ToA in LSB (5202 only)

Definition at line 623 of file FERSlib.h.

## ◆ ToA

uint32_t ToA[2048]

List of ToA in LSB (other board)

Definition at line 624 of file FERSlib.h.

## ◆ ToT

uint16_t ToT[2048]

List of ToT in LSB.

Definition at line 625 of file FERSlib.h.

The documentation for this struct was generated from the following file:

- FERSlib.h